/*
 *	Copyright (c) 1998, Sun Microsystems, Inc.
 *
 * This software is provided by Sun ``AS IS'' and any express or implied
 * warranties, including, but not limited to, the implied warranties of
 * merchantability and fitness for a particular purpose are disclaimed.
 * In no event shall Sun Microsystems be liable for any direct, indirect,
 * incidental, special, exemplary, or consequential damages.
 *
 * This software is not a product, and is provided for evaluation purposes
 * only.
 *
 * This software may not be resold without the express permission of
 * Sun Microsystems.
 *
 * Feedback on this tool may be sent to packet-shell-owner@sunroof.eng.sun.com.
 */

#pragma ident	"@(#)dlprims.h	1.1	98/11/12 SMI"

#include <sys/stropts.h>
#include <sys/dlpi.h>

/*
 * Issue DL_INFO_REQ and wait for DL_INFO_ACK.
 */
extern int	dlinforeq(int, dl_info_ack_t *, char **);
extern void	dlattachreq(int, u_long);
extern int	dlpromiscon(int, int);
extern int	dlpromiscoff(int, int);
extern int	dlbindreq(int, u_long, u_long, u_short, u_short);
extern int	strgetmsg(int, struct strbuf *, struct strbuf *, int *, char *);
extern int	expecting(u_long, union DL_primitives *, char *);
